EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ChunkedUploads_DeleteUpload',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Removes all entries for an upload.'
GO

IF OBJECT_ID('[ChunkedUploads_DeleteUpload]') IS NOT NULL DROP PROCEDURE [ChunkedUploads_DeleteUpload]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [ChunkedUploads_DeleteUpload]
(
	@Feed_Id INT,
	@Upload_Id VARCHAR(100)
)
AS
BEGIN

SET NOCOUNT ON

	DELETE FROM [ChunkedUploads]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Upload_Id] = @Upload_Id

END
GO

GRANT EXECUTE ON [ChunkedUploads_DeleteUpload] TO [ProGetUser_Role]
GO